<template>
  <section class="column is-three-fifths is-offset-one-fifth">
  <h1 class="title"><strong>{{ $t("UnRegisterBeta.title") }}</strong></h1>
   <hr>
   <br />

   <section class="hero is-small is-light is-bold">
   <div class="hero-body">
    <div class="container">
      <h1 class="subtitle">
       <strong>{{ $t("UnRegisterBeta.subtitle") }}</strong>
      </h1>
      <h2 class="subtitle">
         {{ $t("UnRegisterBeta.rgpd") }}
      </h2>
    </div>
  </div>
</section>
<br />
<br />

    <b-loading :is-full-page="true" :active.sync="isLoading" :can-cancel="true"></b-loading>

    <b-field :label="$t('form.email.label')" label-position="inside">
      <b-input :placeholder="$t('form.email.placeholder')"
	       type="email"
	       icon-pack="fas"
	       icon="envelope"
	       v-model="email"
	       value=""></b-input>
    </b-field>
            
    <b-field class="is-pulled-right" horizontal><!-- Label left empty for spacing -->
      <p class="control">
        <button class="button is-primary" @click="onSubmit">{{ $t("form.submit") }}</button>
      </p>
    </b-field>
    <br /> 
    <br />    
  </section>
</template>

<script>
import { Toast } from 'buefy/dist/components/toast'

export default {
    data (){
	return {
	    email: null,
	    phoneType: null,
	    isLoading: false
	}
    },
    methods: {
	onSubmit () {
	    console.log({ "email": this.email, "phoneType": this.phoneType });
	    //e.preventDefault();
                let currentObj = this;
		this.isLoading = true;
                this.axios.post(process.env.VUE_APP_ROOT_API + '/beta/unregister', {
                    "email": this.email
                })
                .then(function (response) {
                    currentObj.isLoading = false;
		    currentObj.output = response.data;
		    console.log(response.data.message);

		    Toast.open({
		        duration: 3000,
    			message: response.data.message,
    			position: 'is-bottom',
    			type: 'is-success'
			})

                })
                .catch(function (error) {
                    currentObj.isLoading = false;
                    currentObj.output = error;
		    var errors = JSON.parse(error.response.request.response);

		    console.log(errors.errors[0].msg);
		    
		    Toast.open({
		        duration: 3000,
			message: errors.errors[0].msg,
			position: 'is-bottom',
			type: 'is-danger'
			})

		});
	}
    }
}
</script>
